Public API: a raster tile of an organisation's custom style (metered)
const url = 'https://api.tareky.com/v1/styles/acme/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tiles/13/5105/3290%402x.webp';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.tareky.com/v1/styles/acme/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tiles/13/5105/3290%402x.webp \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Example
acmeThe organisation’s handle
The style id
Example
13Example
5105Example
3290@2x.webp{y} with an optional @2x and format extension
Header Parameters
Section titled “Header Parameters”Legacy key id (until its sunset)
Responses
Section titled “Responses”The tile, in the format the {y} extension chose
Rate limit or monthly quota exceeded; see Retry-After
object
object
Stable machine-readable code, e.g. quota_exceeded, no_route
For invalid_request: the validation issues
object
object
Stable machine-readable code, e.g. quota_exceeded, no_route
For invalid_request: the validation issues
object
object
Stable machine-readable code, e.g. quota_exceeded, no_route
For invalid_request: the validation issues
default
Section titled “default”Any other error, in the /v1 error envelope
object
object
Stable machine-readable code, e.g. quota_exceeded, no_route
For invalid_request: the validation issues
object
object
Stable machine-readable code, e.g. quota_exceeded, no_route
For invalid_request: the validation issues
object
object
Stable machine-readable code, e.g. quota_exceeded, no_route
For invalid_request: the validation issues